@echo off

rem =======================================================
rem Command line parameters:
rem	%1 - collation sequence
rem	%2 - minimum length for password (<= 255)
rem	%3 - dba username and password
rem	%4 - database file
rem	%5 - database connection string
rem =======================================================

:dbinit

@echo.
@echo TWORZENIE BAZY DANYCH...
dbinit.exe -z %1 -mpl %2 -dba %3 %4
if not errorlevel 1 goto dbload
echo Wystapi bd podczas tworzenia bazy danych.
@echo.
goto clean


:dbload

@echo.
@echo TRWA ZAKADANIE STRUKTURY BAZY DANYCH...
dbisqlc read RELOAD.SQL -q -c %5
if not errorlevel 1 goto dblookup
echo Wystpi bd podczas zakadania struktury bazy danych.
@echo.
goto clean


:dblookup

@echo.
@echo TRWA ADOWANIE TABEL SOWNIKOWYCH...
dbisqlc read LOOKUP.SQL -q -c %5
if not errorlevel 1 goto dbsvc
echo Wystpi bd podczas adowania tabel sownikowych.
@echo.
goto clean


:dbsvc

@echo.
@echo TWORZENIE SERWISU WINDOWS...
dbsvc.exe -y -i -as -s Automatic -t Network -w FormAnalyzer "%SQLANY17%\Bin64\dbsrv17.exe" -c 32M -m -x TCPIP %4 -n FormAnalyzer8
if not errorlevel 1 goto :done
echo Wystpi bd podczas tworzenia serwisu bazy danych.
@echo.
goto clean

:done
@echo.
@echo ZAKADANIE BAZY DANYCH ZOSTAO ZAKOCZONE

:clean
pause
