@echo off

rem =======================================================
rem Command line parameters:
rem	%1 - collation sequence
rem	%2 - minimum length for password (<= 255)
rem	%3 - dba username and password
rem	%4 - database file
rem	%5 - database connection string
rem =======================================================

:dbinit

@echo.
@echo CREATING DATABASE FILE...
dbinit.exe -z %1 -mpl %2 -dba %3 %4
if not errorlevel 1 goto dbload
echo Error occured while creating database.
@echo.
goto clean


:dbload

@echo.
@echo CREATING DATABASE STRUCTURE...
dbisqlc read RELOAD.SQL -q -c %5
if not errorlevel 1 goto dbsvc
echo Error occured while creating database structure.
@echo.
goto clean


:dbsvc

@echo.
@echo CREATING WINDOWS SERVICE...
dbsvc.exe -y -i -as -s Automatic -t Network -w FormAnalyzer "%SQLANY17%\Bin64\dbsrv17.exe" -c 32M -m -x TCPIP %4 -n FormAnalyzer8
if not errorlevel 1 goto :done
echo Error occured while creating windows service.
@echo.
goto clean

:done
@echo.
@echo DATABASE CREATED SUCCESSFULLY.

:clean
pause
